﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.ComponentModel;

namespace MvcApplication1.Models
{
    [MetadataType(typeof(FlowerMetadata))]
    public partial class Flower
    {
        [Bind(Exclude = "FlowerId")]
        public class FlowerMetadata
        {
            [ScaffoldColumn(false)]
            public int FlowerId { get; set; }

            [DisplayName("Name")]
            [Required(ErrorMessage = "Flower name is required.")]
            [DisplayFormat(ConvertEmptyStringToNull = false)]
            [StringLength(50)]
            public string Name { get; set; }

            [DisplayName("Price")]
            [DisplayFormat(DataFormatString = "{0:F2}", ApplyFormatInEditMode = true)]
            [Required(ErrorMessage = "Flower price is required.")]
            [Range(0.01, 1000, ErrorMessage = "Flower price must be between 0,01 and 1000.")]
            public decimal Price { get; set; }

            [DisplayName("Article")]
            [Required(ErrorMessage = "Flower artice is required.")]
            [DisplayFormat(ConvertEmptyStringToNull = false)]
            [StringLength(50)]
            public string Article { get; set; }
        }
    }
}